const net = require("net");

const host = "localhost";
const port = 9009;

const server = net.createServer();

server.listen(port, host);

server.on("connection", (sock) => {
    const raddr = sock.remoteAddress;
    const rport = sock.remotePort;
    console.log(`[${raddr}:${rport}] :: CONNECTED`);

    sock.on("data", (data) => {
        console.log(`[${raddr}:${rport}]: ${data}`);
        sock.write("Message received\n");
    });

    sock.on("close", (data) => {
        console.log(`[${raddr}:${rport}]: CLOSED`);
    });
});

console.log(`Server listening on ${host}:${port}`);
